# class KFileReader |
Definition | `#include <kfilereader.h>`
Inherits | KDirLister (kio) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFileReader ()
- KFileReader (const KURL& url, const QString& nameFilter= QString::null)
- ~KFileReader ()
- bool isRoot () const
- bool isReadable () const

#### Protected Methods

- virtual KFileItem * createFileItem ( const KIO::UDSEntry&, const KURL&, bool )

## Detailed Description

KFileReader () | ### KFileReader

Sets the current working directory as URL, but does not start loading it.

KFileReader (const KURL& url, const QString& nameFilter= QString::null) | ### KFileReader

Only sets the URL, does not start loading it.

~KFileReader () | ### ~KFileReader

bool isRoot () | ### isRoot

[const]

Indicates if the path is empty

bool isReadable () | ### isReadable

[const]

Indicates if the path is readable. That means, if there are entries to expect

KFileItem * createFileItem ( const KIO::UDSEntry&, const KURL&, bool ) | ### createFileItem

[protected virtual]

called from KDirLister to create a KFileViewItem

Reimplemented from KDirLister.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.